class_name EntityProximityArea extends Area3D

@export var entity:Entity

func _ready() -> void:
  body_entered.connect(_onBodyEntered)
  body_exited.connect(_onBodyExited)

func _onBodyEntered(_body:Node3D) -> void:
  pass

func _onBodyExited(_body:Node3D) -> void:
  pass
